Subject: Re: bug#28034: elixir build fails

From: [email-masked] (Ludovic Courtès)
Date: Mon, 04 Dec 2017 10:25:39 +0100

Hi nee,

nee <[email-masked]> skribis:

> Hello, thank you for the fast and detailed reply.
> I made two patches that upgrade erlang and elixir and disable the
> failing tests in elixir, and got it to build again.

Great, I applied both patches and added a copyright line for you in
elixir.scm.

> I sometimes get this undeterministic compile error (see the attached
> log). It's always the same error, but it doesn't appear every time, so I
> can get a passing build running:
>
> `until ./pre-inst-env guix build elixir; do sleep 1; done`
>
> I don't think that it is related to the version upgrade because I also
> got this with the old versions when I first tried to build it today.

Could you report it upstream?  We definitely need their help to fix this
kind of issues.

> While this still not good, it is at least an improvement over the
> current state where the package will fail to install in 100% of cases.

Indeed, thanks!

Ludo’.